Bug 166267 - [KDE] KDE file selection dialog in OpenOffice crashes
Summary: [KDE] KDE file selection dialog in OpenOffice crashes
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: openoffice.org   
(Show other bugs)
Version: fc3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Keywords:
: 172531 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-18 14:02 UTC by John Flynn
Modified: 2007-04-18 17:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 14:38:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Flynn 2005-08-18 14:02:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
After upgrading to the latest KDE, the file selection dialog in OpenOffice crashes, making it impossible to choose a file to load or save.

Version-Release number of selected component (if applicable):
kdelibs-3.4.2-0.fc3.2

How reproducible:
Always

Steps to Reproduce:
1. Open OpenOffice Calc
2. File... Open
3. File selection dialog appears briefly, then vanishes and a crash dialog comes up.
  

Actual Results:  Crash.

Expected Results:  I should be able to select a file.

Additional info:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1232012384 (LWP 4953)]
[New Thread -1237120080 (LWP 4957)]
[Thread debugging using libthread_db enabled]
[New Thread -1232012384 (LWP 4953)]
[New Thread -1237120080 (LWP 4957)]
[Thread debugging using libthread_db enabled]
[New Thread -1232012384 (LWP 4953)]
[New Thread -1237120080 (LWP 4957)]
[KCrash handler]
#4  0xb7711e14 in __dynamic_cast () from /usr/lib/libstdc++.so.6
#5  0xb747bb99 in KAcceleratorManager::setNoAccel ()
   from /usr/lib/libkdecore.so.4
#6  0xb747bd10 in KAcceleratorManager::manage () from /usr/lib/libkdecore.so.4
#7  0xb747bd3d in KAcceleratorManager::manage () from /usr/lib/libkdecore.so.4
#8  0xb74c23ec in KCheckAccelerators::checkAccelerators ()
   from /usr/lib/libkdecore.so.4
#9  0xb74c2b02 in KCheckAccelerators::autoCheckSlot ()
   from /usr/lib/libkdecore.so.4
#10 0xb74c2b93 in KCheckAccelerators::qt_invoke ()
   from /usr/lib/libkdecore.so.4
#11 0xb6ee210e in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0xb6ee27e4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0xb72168dd in QTimer::timeout () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0xb6f01ebc in QTimer::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0xb6e83539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0xb6e836ca in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0xb73c4028 in KApplication::notify () from /usr/lib/libkdecore.so.4
#18 0xb6e778ab in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0xb6e336fe in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0xb6e98b85 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0xb6e82761 in QApplication::enter_loop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0xb7063ae0 in QDialog::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x08053ccf in FileDialog::customEvent ()
#24 0xb6edf7be in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0xb6f17e5a in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0xb6e83539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0xb6e836ca in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0xb73c4028 in KApplication::notify () from /usr/lib/libkdecore.so.4
#29 0xb6e84696 in QApplication::sendPostedEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#30 0xb6e84722 in QApplication::sendPostedEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0xb6e33125 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0xb6e98b85 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0xb6e98ade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0xb6e8273b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#35 0x08057a18 in main ()

Comment 1 John Flynn 2005-08-18 14:05:52 UTC
Also: I know the bug is in kdelibs 3.4.2 because reverting to the previous
version fixes the problem.

Comment 2 Ngo Than 2005-08-18 14:12:10 UTC
i presume you have installed the openoffice.org-kde package, which needs to be
rebuilt. For workaround, you should please remove this package with following line:

  rpm -e openoffice.org-kde

it should work again then.

Comment 3 John Flynn 2005-08-18 14:46:20 UTC
Well, that seems to have fixed the problem for now. Thanks!

We should probably keep an eye out for other applications that may break because
of the kdelibs version bump. If I find any, I'll comment this bug.

-John

Comment 4 Caolan McNamara 2005-08-22 08:05:17 UTC
caolanm->dcbw: a fc3 rebuild against new kde and a FC-3 update seems indicated

Comment 5 Sergio Monteiro Basto 2005-08-23 22:10:36 UTC
have same issue here, rpm -e openoffice.org-kde had fix the problem.
Any where I can test one update of openoffice.org-kde ? 

Comment 6 Caolan McNamara 2005-11-07 10:14:43 UTC
*** Bug 172531 has been marked as a duplicate of this bug. ***

Comment 7 Richard Cunningham 2005-11-21 15:59:14 UTC
This also seems to be a problem on RHEL4, when running in KDE.
$ rpm -q kdelibs openoffice.org-kde openoffice.org
kdelibs-3.3.1-3.11
openoffice.org-kde-1.1.2-24.6.0.EL4
openoffice.org-1.1.2-24.6.0.EL4

removing openoffice.org-kde works arround the problem.


Comment 8 Dan Williams 2006-03-13 05:16:16 UTC
-> cmc

Comment 9 Caolan McNamara 2006-04-11 10:17:51 UTC
I recommend a simple OOo rebuild against the latest KDE updates to resolve this
problem through fedora legacy

Comment 10 Jesse Keating 2006-08-13 14:38:39 UTC
Not a security issue unfortunately.


Note You need to log in before you can comment on or make changes to this bug.